﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	
	Private nativeObjectPDFDocument       As NativeObject
	Private nativeObjectPDFView           As NativeObject
	Private viewPDFView                   As View
	
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	
	Dim nativeObjectUrl                  As NativeObject
	
	nativeObjectPDFView = nativeObjectPDFView.Initialize ("PDFView").RunMethod ("new", Null)
	viewPDFView = nativeObjectPDFView
	viewPDFView.Color = Colors.White
	Root.AddView (viewPDFView, 0, 0, 100, 100)
		
	nativeObjectUrl = nativeObjectUrl.Initialize ("NSURL").RunMethod ("URLWithString:", Array (xui.FileUri (File.DirAssets, "SD-124-1page.pdf")))
	nativeObjectPDFDocument = nativeObjectPDFDocument.Initialize ("PDFDocument").RunMethod ("alloc", Null).RunMethod ("initWithURL:", Array (nativeObjectUrl))
	
	nativeObjectPDFView.SetField ("document", nativeObjectPDFDocument)
	nativeObjectPDFView.SetField ("autoScales", False)
End Sub

Private Sub B4Xpages_Resize(Width As Int, Height As Int)
	
	Dim doubleScaleFactor                    As Double
	viewPDFView.SetLayoutAnimated (0, 1, 0.02 * Width, 0.02 * Height, 0.96 * Width, 0.96 * Height)
	doubleScaleFactor = nativeObjectPDFView.GetField ("scaleFactorForSizeToFit").AsNumber
	nativeObjectPDFView.SetField ("maxScaleFactor", 5.0 * doubleScaleFactor)
	nativeObjectPDFView.SetField ("minScaleFactor", 1.0 * doubleScaleFactor)
	nativeObjectPDFView.SetField ("scaleFactor",    1.0 * doubleScaleFactor)
	
End Sub

#If OBJC
#import <PDFKit/PDFKit.h>
#End If
